Package ghidra.app.util.opinion

# Record Class AbstractLibrarySupportLoader.FileSystemSearchPath

java.lang.Object
java.lang.Record
ghidra.app.util.opinion.AbstractLibrarySupportLoader.FileSystemSearchPath

Record Components:
  `fsRef` - A `FileSystemRef`
  `fsPath` - A `Path` relative to the root of the file system, or null for the root

Enclosing class:
  AbstractLibrarySupportLoader

protected static record AbstractLibrarySupportLoader.FileSystemSearchPath(FileSystemRef fsRef, Path fsPath) extends Record
A file system search path

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FileSystemSearchPath(FileSystemRef fsRef, Path fsPath)`
  Creates an instance of a `FileSystemSearchPath` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Path`
  `fsPath()`
  Returns the value of the `fsPath` record component.
  `FileSystemRef`
  `fsRef()`
  Returns the value of the `fsRef` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileSystemSearchPath

    protected FileSystemSearchPath(FileSystemRef fsRef, Path fsPath)
    Creates an instance of a `FileSystemSearchPath` record class.
    Parameters:
      `fsRef` - the value for the `fsRef` record component
      `fsPath` - the value for the `fsPath` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fsRef

    public FileSystemRef fsRef()
    Returns the value of the `fsRef` record component.
    Returns:
      the value of the `fsRef` record component

  - ### fsPath

    public Path fsPath()
    Returns the value of the `fsPath` record component.
    Returns:
      the value of the `fsPath` record component